Get an API token

Retrieve information about a specific API token.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

organizationIdstringRequired
The ID of the Organization where you want to retrieve token information.
tokenIdstringRequired
The ID of the token that you want to retrieve data for.

Response

OK
createdAtdatetime

The time when the API token was created in UTC, formatted as YYYY-MM-DDTHH:MM:SSZ.

descriptionstring
The description of the API token.
idstring
The API token's ID.
kindenum
The kind of the API token.
namestring
The name of the API token.
scopeenum
The scope of the API token.
shortTokenstring
The short value of the API token.
startAtdatetime

The time when the API token will become valid in UTC, formatted as YYYY-MM-DDTHH:MM:SSZ.

updatedAtdatetime

The time when the API token was last updated in UTC, formatted as YYYY-MM-DDTHH:MM:SSZ.

createdByobject
endAtdatetime

The time when the API token expires in UTC, formatted as YYYY-MM-DDTHH:MM:SSZ.

expiryPeriodInDaysinteger
The expiry period of the API token in days.
lastRotatedAtdatetime

The time when the API token was last rotated in UTC, formatted as YYYY-MM-DDTHH:MM:SSZ.

lastUsedAtdatetime

The time when the API token was last used in UTC, formatted as YYYY-MM-DDTHH:MM:SSZ.

roleslist of objects
The roles of the API token.
tokenstring
The value of the API token.
updatedByobject

Errors

400
Get API Token Request Bad Request Error
401
Get API Token Request Unauthorized Error
403
Get API Token Request Forbidden Error
404
Get API Token Request Not Found Error
500
Get API Token Request Internal Server Error